'*******************************************************************************
'Programm for Display ILI9341 240x320 Pixel
'
'Bascom IDE 2.0.7.7
'
'    Version: V11
'    Date:22.05.2014
'    Email: Hkipnik@aol.com
'    Copyright (c) 2013 Hkipnik.  All rights reserved.
'
'   http://creativecommons.org/licenses/by-sa/3.0/de/
'
'   Sie drfen:
'
'     * das Werk bzw. den Inhalt vervielfltigen, verbreiten und ffentlich zugnglich machen
'
'     * Abwandlungen und Bearbeitungen des Werkes bzw. Inhaltes anfertigen
'
'   Zu Den Folgenden Bedingungen:
'
'     * Namensnennung.
'       Sie mssen den Namen des Autors/Rechteinhabers in der von ihm festgelegten Weise nennen.
'
'     * Keine kommerzielle Nutzung.
'       Dieses Werk darf nicht fr kommerzielle Zwecke verwendet werden.
'
'     * Weitergabe unter gleichen Bedingungen.
'       Wenn Sie das lizenzierte Werk bzw. den lizenzierten Inhalt bearbeiten
'       oder in anderer Weise erkennbar als Grundlage fr eigenes Schaffen verwenden,
'       drfen Sie die daraufhin neu entstandenen Werke bzw. Inhalte nur
'       unter Verwendung von Lizenzbedingungen weitergeben, die mit denen
'       dieses Lizenzvertrages identisch oder vergleichbar sind.
'
' Hardware: 2.2 TFT SPI 240x320
' http://www.elecfreaks.com/store/22-tft-lcd-tft0122sp-p-672.html
'*******************************************************************************
$nocompile

Const Red = &HF800
Const Green = &H07E0
Const Blue = &H001F
Const White = &HFFFF
Const Black = &H0000
Const Yellow = &HFFE0
Const Cyan = &H0410
Const Magenta = &H8010
Const Brown = &HFC00
Const Olive = &H8400
Const Light_gray = &H8410
Const Dark_gray = &H4208
Const Light_blue = &H841F
Const Light_green = &H87F0
Const Light_cyan = &H87FF
Const Light_red = &HFC10
Const Gray1 = &HC618
Const Gray2 = &HA514
Const Gray3 = &H630C
Const Gray4 = &H4208
Const Gray5 = &H2104
Const Gray6 = &H3186

Const Blue0 = &H1086
Const Blue1 = &H3188
Const Blue2 = &H4314
Const Blue3 = &H861C
Const Darkblue = &H0011
Const Cadetblue = &H5CF4
Const Dodgerblue = &H1C9F
Const Orange = &HFD20

Const Cyan0 = &H3D34
Const Cyan1 = &H1DF7

Const Green0 = &H0200
Const Green1 = &H0208
Const Gold = &HFEA0
Const Coral = &HFBEA
Const Darkgray = &HAD55
Const Greenyellow = &HAFE5
Const Peru = &HCC27
Const Plum = &HDD1B
Const Purple = &H8010
Const Deeppink = &HF8B2
Const Violet = &HEC1D
Const Darkgoldenrod = &HBC21
Const Antiquewhite = &HFF5A
Const Aqua = &H07FF
Const Darkgreen = &H0320
Const Darkkhaki = &HBDAD
Const Darkorchid = &H9999
Const Bisque = &HFF38
Const Burlywood = &HDDD0
Const Darksalmon = &HECAF
Const Chartreuse = &H7FE0
Const Chocolate = &HD343
Const Cornflowerblue = &H64BD
Const Firebrick = &HB104
Const Crimson = &HD8A7
Const Fuchsia = &HF81F

declare sub read_touch   
Declare Sub Lcd_init()
Declare Sub Lcd_write_command(byval Command As Byte)
Declare Sub Lcd_write_data(byval Da_ta As Byte)

Declare Sub Lcd_write_color(byval Color As Word)
Declare Sub Lcd_set_window(byval Xs As Word , Byval Ys As Word , Byval Xe As Word , Byval Ye As Word)
Declare Sub Lcd_clear(byval Color As Word)
Declare Sub Lcd_set_pixel(byval X As Word , Byval Y As Word , Byval Color As Word)

Declare Sub Lcd_fill_circle(byval X As Word , Byval Y As Word , Byval Radius As Word , Byval Color1 As Word)
Declare Sub Lcd_circle(byval X As Word , Byval Y As Word , Byval Radius As Word , Byval Color As Word)
Declare Sub Lcd_line(byval X1 As Word , Byval Y1 As Word , Byval X2 As Word , Byval Y2 As Word , Byval Pen_width As Byte , Byval Color As Word)

Declare Sub Lcd_box(byval Xstart As Word , Byval Ystart As Word , Byval X_length As Word , Byval Y_height As Word , Byval Fill As Byte , Byval Color As Word , Byval Bordercolor As Word)
Declare Sub Lcd_show_bgc(byval Xoffset As Word , Byval Yoffset As Word)

Declare Sub Lcd_text(byval Lcd_text As String , Byval Lcd_posx As Word , Byval Lcd_posy As Word , Byval Fontset As Byte , Byval Forecolor As Word , Byval Backcolor As Word , Byval Bold As Byte)
Dim Zeichenarray(100) As Byte

Dim Rgb16 As Word
Dim Rgb16_low As Byte At Rgb16 Overlay
Dim Rgb16_high As Byte At Rgb16 + 1 Overlay


Dim Hoehe As Word
Dim Breit As Word

#if Sdcard = 1
Declare Sub Lcd_pic_binsd(byval Filename As String , Byval Xpos As Word , Byval Ypos As Word , Byval Width As Word , Byval Height As Word)
Dim Rgb_data(640) As Byte
#endif